Page MenuHomeFreeBSD

Emacs ports: Improve consistency between two Emacs ports and...
ClosedPublic

Authored by jrm on Jun 10 2018, 1:55 AM.

Details

Summary
  • Update editors/emacs-devel to a newer commit on the upstream master branch.
  • Do not link liblockfile when MAILUTILS options is off [1]. Users who want mail functionality should turn on the MAILUTILS option.
  • Create a link under exec_directory pointing to ${PREFIX}/bin/movemail. See upstream bug https://bugs.gnu.org/31737 and PR 228833 [2].
  • Based on user feedback, change the package name for the nox flavor of editors/emacs-devel from emacs-devel_nox to emacs-devel-nox. The original motivation for naming the package emacs-devel_nox was so that PKGNAMESUFFIX would match the flavor names for USES=emacs ports and flavor names cannot contain '-'.
  • Remove patches that are no longer necessary. The patch emacs-devel/files/patch-configure.ac is no longer necessary because 10.3, which included an old version of texinfo in base, is EOL. The lldb-gud patch is no longer necessary because the LLDB option has been removed.

PR: 227799 [1], 228833 [2]
Submitted by: yasu@utahime.org [1], bengta@sics.se [2]
Reported by:

Diff Detail

Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 17128
Build 16984: arc lint + arc unit

Event Timeline

jrm created this revision.Jun 10 2018, 1:55 AM

Hi,

Thanks for working on this. Your changes look good in theory. I'm running a test build, and it'll take me few hours (courtesy: webkit2-gtk3 ) to confirm they're good indeed.

ashish accepted this revision.Jun 12 2018, 3:30 AM

Alright, looks good to me too. I don't see emacs linking to liblockfile being linked to, if it's installed, and MAILUTILS is off, and everything else is fine too.

Thanks Joseph

This revision is now accepted and ready to land.Jun 12 2018, 3:30 AM
jrm closed this revision.Jun 15 2018, 5:05 PM

Landed in r472261. I'm not sure why it wasn't automatically closed.